class Product < ActiveRecord::Base
	belongs_to :aisle, :validate => true
	validates_presence_of :aisle_id, :pname, 
			:unitprice, :stocklevel
	validates_uniqueness_of :pname

	# Next line - relies on database so fails for SQLite?
	validates_associated :aisle

	validates_numericality_of :unitprice, :stocklevel
end
